Bug 1251819 - No flash message displayed for validate for validate Foreman provider
No flash message displayed for validate for validate Foreman provider
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Aparna Karve
Aziza Karol
:
: 1268046 1268236 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 00:27 EDT by Aziza Karol
Modified: 2015-12-08 08:26 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:26:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-08-10 00:27:34 EDT
Description of problem:


Version-Release number of selected component (if applicable):
master.20150810001258_e08ddc8 

How reproducible:
100%

Steps to Reproduce:
1.Navigate to infrastructure->configuration management->add a new provider
2.Add basic info and credentials and click on validate
3.

Actual results:
No flash message displayed if the validation is successful or not

Expected results:
validation message should be displayed.

Additional info:
Comment 2 Aziza Karol 2015-09-22 08:32:58 EDT
This issue is observed for host validation also on 5.5
Comment 3 Harpreet Kataria 2015-10-07 17:01:34 EDT
*** Bug 1268236 has been marked as a duplicate of this bug. ***
Comment 4 Harpreet Kataria 2015-10-08 14:49:55 EDT
*** Bug 1268046 has been marked as a duplicate of this bug. ***
Comment 10 CFME Bot 2015-10-12 17:17:41 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4cccfe7d3db72cdd18bd3d4b0d4620f1648c8659

commit 4cccfe7d3db72cdd18bd3d4b0d4620f1648c8659
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Oct 8 23:14:25 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Oct 12 09:33:16 2015 -0700

    Fixed Validate button in Foreman editor
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1251819

 .../provider_foreman_form_controller.js            | 17 ++++---
 .../_auth_credentials_angular_bootstrap.html.haml  |  2 -
 app/views/provider_foreman/_form.html.haml         | 54 +++++++++++-----------
 3 files changed, 37 insertions(+), 36 deletions(-)
Comment 12 Aziza Karol 2015-10-28 03:26:03 EDT
Flash message displayed for validate Foreman provider.

Verified:
5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 14 errata-xmlrpc 2015-12-08 08:26:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.